%define	upstream_name	 Fuse
%define	upstream_version 0.16_1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 19
Epoch:      1

Summary:    Write filesystems in Perl using FUSE
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DP/DPATES/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filesys::Statvfs)
BuildRequires: perl(Lchown)
BuildRequires: perl(Unix::Mknod)
BuildRequires: pkgconfig(fuse)
BuildRequires: fuse
BuildRequires: perl-devel
%description
This lets you implement filesystems in perl, through the FUSE (Filesystem in
USErspace) kernel/lib interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%check
#make test

%install
%make_install

%files
%doc AUTHORS Changes META.yml MYMETA.yml README examples
%{perl_vendorarch}/Fuse*
%{perl_vendorarch}/auto/Fuse*
%{_mandir}/man3/*


%changelog
* Fri Dec 01 2023 tv <tv> 1:0.161.0-19.mga10
+ Revision: 2012053
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1:0.161.0-17.mga9
+ Revision: 1861905
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 1:0.161.0-16.mga9
+ Revision: 1797542
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1:0.161.0-15.mga9
+ Revision: 1726701
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1:0.161.0-14.mga8
+ Revision: 1594798
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1:0.161.0-13.mga8
+ Revision: 1529086
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1:0.161.0-12.mga8
+ Revision: 1433082
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1:0.161.0-11.mga7
+ Revision: 1292906
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 pterjan <pterjan> 1:0.161.0-10.mga7
+ Revision: 1250545
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1:0.161.0-9.mga7
+ Revision: 1164444
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1:0.161.0-8.mga7
+ Revision: 1149626
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1:0.161.0-7.mga7
+ Revision: 1126504
- Rebuild against new Perl 5.26

* Thu May 12 2016 tv <tv> 1:0_161.0-6.mga6
+ Revision: 1014010
- use std build macros; prevent commented out macros to break build

* Fri Feb 12 2016 umeabot <umeabot> 1:0_161.0-5.mga6
+ Revision: 957341
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1:0_161.0-4.mga6
+ Revision: 843523
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1:0_161.0-3.mga5
+ Revision: 741275
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0_161.0-2.mga5
+ Revision: 684809
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 pterjan <pterjan> 1:0_161.0-1.mga5
+ Revision: 633391
- 0.16_1
+ jquelin <jquelin>
- perl 5.20.0 rebuild
+ sander85 <sander85>
- update to 0.16

* Mon Feb 17 2014 jquelin <jquelin> 1:0.16.1-1.mga5
+ Revision: 593518
- forcing upgrade through epoch, changed upstream versioning scheme
- update to 0.16.1
- update to 0.16.1
- update to 0.16
+ sander85 <sander85>
- update to 0.16.1
- update to 0.16
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 441577
- update to 0.15

* Wed May 29 2013 jquelin <jquelin> 0.140.0-4.mga4
+ Revision: 431191
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-3.mga3
+ Revision: 367516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.140.0-2.mga3
+ Revision: 250642
- rebuild for perl 5.16
- update to 0.14

* Fri Jul 08 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 120404
- update to 0.13

* Wed Jun 15 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 106965
- update to 0.12

* Sun Jun 12 2011 sander85 <sander85> 0.110.0-2.mga2
+ Revision: 104308
- Rebuild for perl 5.14

* Mon Feb 28 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 61460
- update to 0.11
- update to 0.11

* Sat Feb 26 2011 jquelin <jquelin> 0.90.0-2.mga1
+ Revision: 60805
- rebuild
- update to 0.11

* Fri Jan 21 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 30442
- mageia rebuild
- imported package perl-Fuse

